<template>
    <!-- Dashboard Analytics Start -->
    <section id="dashboard-analytics">
    <div class="col-12 col-sm-8 col-md-6 col-lg-12 px-xl-2 text-center">
                                    <a class="brand-logo" href="/">
                                            <img src="/img/logo-ins.svg" class="logo-back" alt="My Business Card">
                                    
                                    </a>
    </div>
    <div class="app-content content-fluid ">
        <div class="content-wrapper container-xxl p-0">
            <div class="content-header row">
                <div class="content-header-left col-md-9 col-12 mb-2">
                    <div class="row breadcrumbs-top">
                        <div class="col-12">
                            <h2 class="content-header-title float-start mb-0">Encuesta</h2>
                            <div class="breadcrumb-wrapper">
                                <ol class="breadcrumb">
                                    <li class="breadcrumb-item"><a href="/">Inicio</a>
                                    </li>
                                    <li class="breadcrumb-item"><a href="#">Diligenciar Encuesta</a>
                                    </li>
                                </ol>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <div class="content-body">
                <!-- Inicio encuesta -->
                <section id="encuesta">
                    <div class="row">
                        <div class="col-md-12">
                            <div class="card">
                                <div class="card-body">
                                    <div class="row">
                                        <div class="col-xl-12 col-md-12 col-12">
                                            <div class="mb-1">
                                                <label class="form-label" for="basicInput">1. Indique su nombre completo <strong style="color:red;">*</strong></label>
                                                <input type="text" class="form-control" v-model="nombre" id="basicInput" placeholder="Ingrese su nombre completo">
                                                <div class="alert alert-danger mt-1 alert-validation-msg" role="alert" v-if="showerrornombre">
                                                    <div class="alert-body d-flex align-items-center">
                                                        <i data-feather="info" class="me-50"></i>
                                                        <span>El campo es <strong>requerido</strong>.</span>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                    </div>

                                    <div class="row">
                                        <div class="col-xl-12 col-md-12 col-12">
                                            <div class="mb-1">
                                                <label class="form-label" for="basicInput">2. Institución a la que representa <strong style="color:red;">*</strong></label>
                                                <input type="text" class="form-control" v-model="instituto" id="basicInput" placeholder="Ingrese la institución a la que representa">
                                                <div class="alert alert-danger mt-1 alert-validation-msg" role="alert" v-if="showerrorinstituto">
                                                    <div class="alert-body d-flex align-items-center">
                                                        <i data-feather="info" class="me-50"></i>
                                                        <span>El campo es <strong>requerido</strong>.</span>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                    </div>


                                </div>
                            </div>
                        </div>

                        <div class="col-md-12">
                            <div class="card">
                                <div class="card-body">
                                    <div class="row">
                                        <div class="col-xl-12 col-md-12 col-12">
                                            <div class="mb-1">
                                                <label class="form-label" for="basicInput">3. Califique los expositores: <strong style="color:red;">*</strong></label>
                                                
                                            </div>
                                        </div>
                                    </div>
                                    <div class="table-responsive">
                                        <table class="table">
                                            <thead>
                                                <tr>
                                                    <th></th>
                                                    <th>Excelente</th>
                                                    <th>Muy Bueno</th>
                                                    <th>Bueno</th>
                                                    <th>Regular</th>
                                                    <th>Deficiente</th>
                                                </tr>
                                            </thead>
                                            <tbody>
                                                <tr>
                                                    <td>
                                                        Claridad del tema
                                                        <div class="alert alert-danger mt-1 alert-validation-msg" role="alert" v-if="showerrorclaridad">
                                                            <div class="alert-body d-flex align-items-center">
                                                                <i data-feather="info" class="me-50"></i>
                                                                <span>El campo es <strong>requerido</strong>.</span>
                                                            </div>
                                                        </div>
                                                    </td>
                                                    <td>
                                                        <div class="form-check form-check-inline">
                                                            <input class="form-check-input" type="radio" name="claridad" id="claridad" value="Excelente" v-model="claridad">
                                                            
                                                        </div>
                                                    </td>
                                                    <td>
                                                        <div class="form-check form-check-inline">
                                                            <input class="form-check-input" type="radio" name="claridad" id="claridad" value="Muy Bueno" v-model="claridad">
                                                            
                                                        </div>
                                                    </td>
                                                    <td>
                                                        <div class="form-check form-check-inline">
                                                            <input class="form-check-input" type="radio" name="claridad" id="claridad" value="Bueno" v-model="claridad">
                                                            
                                                        </div>
                                                    </td>
                                                    <td>
                                                        <div class="form-check form-check-inline">
                                                            <input class="form-check-input" type="radio" name="claridad" id="claridad" value="Regular" v-model="claridad">
                                                            
                                                        </div>
                                                    </td>
                                                    
                                                    <td>
                                                        <div class="form-check form-check-inline">
                                                            <input class="form-check-input" type="radio" name="claridad" id="claridad" value="Deficiente" v-model="claridad">
                                                            
                                                        </div>
                                                    </td>
                                                </tr>

                                                <tr>
                                                    <td>
                                                        Material de apoyo
                                                        <div class="alert alert-danger mt-1 alert-validation-msg" role="alert" v-if="showerrormaterial">
                                                            <div class="alert-body d-flex align-items-center">
                                                                <i data-feather="info" class="me-50"></i>
                                                                <span>El campo es <strong>requerido</strong>.</span>
                                                            </div>
                                                        </div>
                                                    </td>
                                                    <td>
                                                        <div class="form-check form-check-inline">
                                                            <input class="form-check-input" type="radio" name="material" id="material" value="Excelente" v-model="material">
                                                            
                                                        </div>
                                                    </td>
                                                    <td>
                                                        <div class="form-check form-check-inline">
                                                            <input class="form-check-input" type="radio" name="material" id="material" value="Muy Bueno" v-model="material">
                                                            
                                                        </div>
                                                    </td>
                                                    <td>
                                                        <div class="form-check form-check-inline">
                                                            <input class="form-check-input" type="radio" name="material" id="material" value="Bueno" v-model="material">
                                                            
                                                        </div>
                                                    </td>
                                                    <td>
                                                        <div class="form-check form-check-inline">
                                                            <input class="form-check-input" type="radio" name="material" id="material" value="Regular" v-model="material">
                                                            
                                                        </div>
                                                    </td>
                                                    
                                                    <td>
                                                        <div class="form-check form-check-inline">
                                                            <input class="form-check-input" type="radio" name="material" id="material" value="Deficiente" v-model="material">
                                                            
                                                        </div>
                                                    </td>
                                                </tr>
                                                
                                                <tr>
                                                    <td>En que nivel cumplió con sus expectativas
                                                        <div class="alert alert-danger mt-1 alert-validation-msg" role="alert" v-if="showerrorcumplio">
                                                            <div class="alert-body d-flex align-items-center">
                                                                <i data-feather="info" class="me-50"></i>
                                                                <span>El campo es <strong>requerido</strong>.</span>
                                                            </div>
                                                        </div>
                                                    </td>
                                                    <td>
                                                        <div class="form-check form-check-inline">
                                                            <input class="form-check-input" type="radio" name="cumplio" id="cumplio" value="Excelente" v-model="cumplio">
                                                            
                                                        </div>
                                                    </td>
                                                    <td>
                                                        <div class="form-check form-check-inline">
                                                            <input class="form-check-input" type="radio" name="cumplio" id="cumplio" value="Muy Bueno" v-model="cumplio">
                                                            
                                                        </div>
                                                    </td>
                                                    <td>
                                                        <div class="form-check form-check-inline">
                                                            <input class="form-check-input" type="radio" name="cumplio" id="cumplio" value="Bueno" v-model="cumplio">
                                                            
                                                        </div>
                                                    </td>
                                                    <td>
                                                        <div class="form-check form-check-inline">
                                                            <input class="form-check-input" type="radio" name="cumplio" id="cumplio" value="Regular" v-model="cumplio">
                                                            
                                                        </div>
                                                    </td>
                                                    
                                                    <td>
                                                        <div class="form-check form-check-inline">
                                                            <input class="form-check-input" type="radio" name="cumplio" id="cumplio" value="Deficiente" v-model="cumplio">
                                                            
                                                        </div>
                                                    </td>
                                                </tr>

                                                <tr>
                                                    <td>
                                                        En que nivel considera que la información es de utilidad para su trabajo?
                                                        <div class="alert alert-danger mt-1 alert-validation-msg" role="alert" v-if="showerrorutilidad">
                                                            <div class="alert-body d-flex align-items-center">
                                                                <i data-feather="info" class="me-50"></i>
                                                                <span>El campo es <strong>requerido</strong>.</span>
                                                            </div>
                                                        </div>
                                                    </td>
                                                    <td>
                                                        <div class="form-check form-check-inline">
                                                            <input class="form-check-input" type="radio" name="utilidad" id="utilidad" value="Excelente" v-model="utilidad">
                                                            
                                                        </div>
                                                    </td>
                                                    <td>
                                                        <div class="form-check form-check-inline">
                                                            <input class="form-check-input" type="radio" name="utilidad" id="utilidad" value="Muy Bueno" v-model="utilidad">
                                                            
                                                        </div>
                                                    </td>
                                                    <td>
                                                        <div class="form-check form-check-inline">
                                                            <input class="form-check-input" type="radio" name="utilidad" id="utilidad" value="Bueno" v-model="utilidad">
                                                            
                                                        </div>
                                                    </td>
                                                    <td>
                                                        <div class="form-check form-check-inline">
                                                            <input class="form-check-input" type="radio" name="utilidad" id="utilidad" value="Regular" v-model="utilidad">
                                                            
                                                        </div>
                                                    </td>
                                                    
                                                    <td>
                                                        <div class="form-check form-check-inline">
                                                            <input class="form-check-input" type="radio" name="utilidad" id="utilidad" value="Deficiente" v-model="utilidad">
                                                            
                                                        </div>
                                                    </td>
                                                </tr>
                                            </tbody>
                                        </table>
                                    </div>

                                    
                                </div>
                            </div>
                        </div>


                        <div class="col-md-12">
                            <div class="card">
                                <div class="card-body">
                                    <div class="row">
                                        <div class="col-xl-12 col-md-12 col-12">
                                            <div class="mb-1">
                                                <label class="form-label" for="basicInput">4. Califique la logística del evento: <strong style="color:red;">*</strong></label>
                                                
                                            </div>
                                        </div>
                                    </div>
                                    <div class="table-responsive">
                                        <table class="table">
                                            <thead>
                                                <tr>
                                                    <th></th>
                                                    <th>Excelente</th>
                                                    <th>Muy Bueno</th>
                                                    <th>Bueno</th>
                                                    <th>Regular</th>
                                                    <th>Deficiente</th>
                                                </tr>
                                            </thead>
                                            <tbody>
                                                <tr>
                                                    <td>
                                                        Las instalaciones fueron las adecuadas para el evento
                                                        <div class="alert alert-danger mt-1 alert-validation-msg" role="alert" v-if="showerrorinstalaciones">
                                                            <div class="alert-body d-flex align-items-center">
                                                                <i data-feather="info" class="me-50"></i>
                                                                <span>El campo es <strong>requerido</strong>.</span>
                                                            </div>
                                                        </div>
                                                    </td>
                                                    <td>
                                                        <div class="form-check form-check-inline">
                                                            <input class="form-check-input" type="radio" name="instalaciones"  value="Excelente" v-model="instalaciones">
                                                            
                                                        </div>
                                                    </td>
                                                    <td>
                                                        <div class="form-check form-check-inline">
                                                            <input class="form-check-input" type="radio" name="instalaciones"  value="Muy Bueno" v-model="instalaciones">
                                                            
                                                        </div>
                                                    </td>
                                                    <td>
                                                        <div class="form-check form-check-inline">
                                                            <input class="form-check-input" type="radio" name="instalaciones"  value="Bueno" v-model="instalaciones">
                                                            
                                                        </div>
                                                    </td>
                                                    <td>
                                                        <div class="form-check form-check-inline">
                                                            <input class="form-check-input" type="radio" name="instalaciones"  value="Regular" v-model="instalaciones">
                                                            
                                                        </div>
                                                    </td>
                                                    
                                                    <td>
                                                        <div class="form-check form-check-inline">
                                                            <input class="form-check-input" type="radio" name="instalaciones"  value="Deficiente" v-model="instalaciones">
                                                            
                                                        </div>
                                                    </td>
                                                </tr>

                                                <tr>
                                                    <td>
                                                        Indique si se cumplió con la programación y horarios
                                                        <div class="alert alert-danger mt-1 alert-validation-msg" role="alert" v-if="showerrorprogramacion">
                                                            <div class="alert-body d-flex align-items-center">
                                                                <i data-feather="info" class="me-50"></i>
                                                                <span>El campo es <strong>requerido</strong>.</span>
                                                            </div>
                                                        </div>
                                                    </td>
                                                    <td>
                                                        <div class="form-check form-check-inline">
                                                            <input class="form-check-input" type="radio"  name="programacion" value="Excelente" v-model="programacion">
                                                            
                                                        </div>
                                                    </td>
                                                    <td>
                                                        <div class="form-check form-check-inline">
                                                            <input class="form-check-input" type="radio" name="programacion"  value="Muy Bueno" v-model="programacion">
                                                            
                                                        </div>
                                                    </td>
                                                    <td>
                                                        <div class="form-check form-check-inline">
                                                            <input class="form-check-input" type="radio" name="programacion"  value="Bueno" v-model="programacion">
                                                            
                                                        </div>
                                                    </td>
                                                    <td>
                                                        <div class="form-check form-check-inline">
                                                            <input class="form-check-input" type="radio" name="programacion"  value="Regular" v-model="programacion">
                                                            
                                                        </div>
                                                    </td>
                                                    
                                                    <td>
                                                        <div class="form-check form-check-inline">
                                                            <input class="form-check-input" type="radio" name="programacion"  value="Deficiente" v-model="programacion">
                                                            
                                                        </div>
                                                    </td>
                                                </tr>
                                            </tbody>
                                        </table>
                                    </div>

                                    
                                </div>
                            </div>
                        </div>

                        <div class="col-md-12">
                            <div class="card">
                                <div class="card-body">
                                    <div class="row">
                                        <div class="col-xl-12 col-md-12 col-12">
                                            <div class="mb-1">
                                                <label class="form-label" for="basicInput">5. Observaciones generales</label>
                                                <input type="text" class="form-control" id="basicInput" placeholder="Escribe tu respuesta" v-model="observaciones">
                                                <div class="alert alert-danger mt-1 alert-validation-msg" role="alert" v-if="showerrorobservaciones">
                                                    <div class="alert-body d-flex align-items-center">
                                                        <i data-feather="info" class="me-50"></i>
                                                        <span>El campo es <strong>requerido</strong>.</span>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                    </div>


                                </div>
                            </div>
                        </div>

                        <div class="col-md-12">
                            <div class="card">
                                <div class="card-body">
                                    <div class="row">
                                        <div class="col-xl-12 col-md-12 col-12">
                                            <div class="mb-1">
                                                <label class="form-label" for="basicInput">6. Le gustaría asistir a otros eventos sobre este tema  <strong style="color:red;">*</strong></label><br>
                                                <div class="form-check form-check-inline">
                                                    <input class="form-check-input" type="radio"  value="Si" v-model="asistir">
                                                    <label class="form-check-label" for="inlineRadio2">Si</label>
                                                </div>
                                                <div class="form-check form-check-inline">
                                                    <input class="form-check-input" type="radio"  value="No" v-model="asistir">
                                                    <label class="form-check-label" for="inlineRadio2">No</label>
                                                </div>
                                                <div class="alert alert-danger mt-1 alert-validation-msg" role="alert" v-if="showerrorasistir">
                                                    <div class="alert-body d-flex align-items-center">
                                                        <i data-feather="info" class="me-50"></i>
                                                        <span>El campo es <strong>requerido</strong>.</span>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                    </div>


                                </div>
                            </div>
                        </div>
                        <!-- Botones -->
                        <div class="col-md-12">
                            <div class="card">
                                <div class="card-body">
                                    <div class="row text-center">
                                        <div class="col-xl-12 col-md-12 col-12">
                                            <div class="mb-1">
                                                <button class="btn btn-primary waves-effect waves-float waves-light" @click="save" type="submit">Guardar</button>
                                                <button class="btn btn-danger waves-effect waves-float waves-light" @click="redirect" type="submit">Cancekar</button>
                                            </div>
                                        </div>
                                    </div>


                                </div>
                            </div>
                        </div>
                    </div>
                </section>
                <!-- Fin encuesta -->

                <section id="encuesta" v-if="mostrar==1">
                    <div class="row">
                        <div class="col-md-12">
                            <div class="card">
                                <div class="card-body">
                                    <div class="row text-center">
                                        <div class="col-xl-12 col-md-12 col-12">
                                            <div class="mb-1">
                                                <h2>Descargue su certificado</h2>
                                                
                                            </div>
                                        </div>
                                    </div>

                                    <div class="row text-center">
                                        <div class="col-xl-12 col-md-12 col-12">
                                            <div class="mb-1">
                                                <iframe src="https://directoriodeeventos.com/cert/SINGULAR_TECH_-_INS_22_AL_24_NOV" width="100%" height="450px"></iframe>
                                                
                                            </div>
                                        </div>
                                    </div>


                                </div>
                            </div>
                        </div>

                    </div>
                </section>


            </div>
        </div>
    </div>

        
    </section>
  
</template>
<script src="./src/index.js"></script>